---------------------
PatchSet 1772 
Date: 2001/03/25 16:55:30
Author: serassio
Branch: nt-2_3
Tag: (none) 
Log:
Latest Squid-NT update

Members: 
	contrib/chpasswd/chpasswd.dsp:1.1.2.1->1.1.2.2 
	contrib/chpasswd/chpasswd.mak:1.1.2.1->1.1.2.2 
	contrib/htpasswd/htpasswd.dsp:1.1.2.1->1.1.2.2 
	contrib/htpasswd/htpasswd.mak:1.1.2.1->1.1.2.2 
	win/Perl Preprocessing.dsp:1.1->1.1.2.1 
	win/Perl Preprocessing.mak:1.1->1.1.2.1 
	win/cf.data.mak:1.1->1.1.2.1 
	win/cf_data.dsp:1.1->1.1.2.1 
	win/cf_data.mak:1.1->1.1.2.1 
	win/squid_conf.dsp:1.1->1.1.2.1 
	win/squid_conf.mak:1.1->1.1.2.1 
	win/win.dsw:1.1.2.1->1.1.2.2 
	win/cachemgr/cachemgr.dsp:1.1.2.1->1.1.2.2 
	win/cachemgr/cachemgr.mak:1.1.2.1->1.1.2.2 
	win/cf_gen/cf_gen.dsp:1.1.2.1->1.1.2.2 
	win/cf_gen/cf_gen.mak:1.1.2.1->1.1.2.2 
	win/dnsserver/dnsserver.dsp:1.1.2.1->1.1.2.2 
	win/dnsserver/dnsserver.mak:1.1.2.1->1.1.2.2 
	win/squidnt/squidnt.dsp:1.1.2.1->1.1.2.2 
	win/squidnt/squidnt.mak:1.1.2.1->1.1.2.2 

Index: squid/contrib/chpasswd/chpasswd.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/chpasswd/Attic/chpasswd.dsp,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid/contrib/chpasswd/chpasswd.dsp	6 Jan 2001 12:48:44 -0000	1.1.2.1
+++ squid/contrib/chpasswd/chpasswd.dsp	25 Mar 2001 16:55:30 -0000	1.1.2.2
@@ -57,7 +57,7 @@
 # SUBTRACT LINK32 /pdb:none
 # Begin Special Build Tool
 SOURCE="$(InputPath)"
-PostBuild_Cmds=copy d:\work\squidnt23\contrib\chpasswd\release\chpasswd.exe c:\squid23\cgi-bin\chpasswd.cgi
+PostBuild_Cmds=copy d:\work\squidnt23\contrib\chpasswd\release\chpasswd.exe c:\squid\cgi-bin\chpasswd.cgi
 # End Special Build Tool
 
 !ELSEIF  "$(CFG)" == "chpasswd - Win32 Debug"
@@ -88,7 +88,7 @@
 # SUBTRACT LINK32 /pdb:none
 # Begin Special Build Tool
 SOURCE="$(InputPath)"
-PostBuild_Cmds=copy d:\work\squidnt23\contrib\chpasswd\debug\chpasswd.exe c:\squid23\cgi-bin\chpasswd.cgi
+PostBuild_Cmds=copy d:\work\squidnt23\contrib\chpasswd\debug\chpasswd.exe c:\squid\cgi-bin\chpasswd.cgi
 # End Special Build Tool
 
 !ENDIF 
Index: squid/contrib/chpasswd/chpasswd.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/chpasswd/Attic/chpasswd.mak,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid/contrib/chpasswd/chpasswd.mak	6 Jan 2001 12:48:44 -0000	1.1.2.1
+++ squid/contrib/chpasswd/chpasswd.mak	25 Mar 2001 16:55:30 -0000	1.1.2.2
@@ -79,7 +79,7 @@
 # End Custom Macros
 
 $(DS_POSTBUILD_DEP) : "$(OUTDIR)\chpasswd.exe"
-   copy d:\work\squidnt23\contrib\chpasswd\release\chpasswd.exe c:\squid23\cgi-bin\chpasswd.cgi
+   copy d:\work\squidnt23\contrib\chpasswd\release\chpasswd.exe c:\squid\cgi-bin\chpasswd.cgi
 	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
 
 !ELSEIF  "$(CFG)" == "chpasswd - Win32 Debug"
@@ -135,7 +135,7 @@
 # End Custom Macros
 
 $(DS_POSTBUILD_DEP) : "$(OUTDIR)\chpasswd.exe"
-   copy d:\work\squidnt23\contrib\chpasswd\debug\chpasswd.exe c:\squid23\cgi-bin\chpasswd.cgi
+   copy d:\work\squidnt23\contrib\chpasswd\debug\chpasswd.exe c:\squid\cgi-bin\chpasswd.cgi
 	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
 
 !ENDIF 
Index: squid/contrib/htpasswd/htpasswd.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/htpasswd/Attic/htpasswd.dsp,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid/contrib/htpasswd/htpasswd.dsp	6 Jan 2001 12:48:44 -0000	1.1.2.1
+++ squid/contrib/htpasswd/htpasswd.dsp	25 Mar 2001 16:55:30 -0000	1.1.2.2
@@ -53,7 +53,7 @@
 # ADD LINK32 winspool.lib comdlg32.lib shell32.lib ole32.lib oleaut32.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib advapi32.lib /nologo /subsystem:console /machine:I386
 # Begin Special Build Tool
 SOURCE="$(InputPath)"
-PostBuild_Cmds=copy d:\work\squidnt23\contrib\htpasswd\release\htpasswd.exe c:\squid23\htpasswd.exe
+PostBuild_Cmds=copy d:\work\squidnt23\contrib\htpasswd\release\htpasswd.exe c:\squid\htpasswd.exe
 # End Special Build Tool
 
 !ELSEIF  "$(CFG)" == "htpasswd - Win32 Debug"
@@ -81,7 +81,7 @@
 # ADD LINK32 kernel32.lib user32.lib gdi32.lib advapi32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
 # Begin Special Build Tool
 SOURCE="$(InputPath)"
-PostBuild_Cmds=copy d:\work\squidnt23\contrib\htpasswd\debug\htpasswd.exe c:\squid23\htpasswd.exe
+PostBuild_Cmds=copy d:\work\squidnt23\contrib\htpasswd\debug\htpasswd.exe c:\squid\htpasswd.exe
 # End Special Build Tool
 
 !ENDIF 
Index: squid/contrib/htpasswd/htpasswd.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/htpasswd/Attic/htpasswd.mak,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid/contrib/htpasswd/htpasswd.mak	6 Jan 2001 12:48:45 -0000	1.1.2.1
+++ squid/contrib/htpasswd/htpasswd.mak	25 Mar 2001 16:55:30 -0000	1.1.2.2
@@ -77,7 +77,7 @@
 # End Custom Macros
 
 $(DS_POSTBUILD_DEP) : "$(OUTDIR)\htpasswd.exe"
-   copy d:\work\squidnt23\contrib\htpasswd\release\htpasswd.exe c:\squid23\htpasswd.exe
+   copy d:\work\squidnt23\contrib\htpasswd\release\htpasswd.exe c:\squid\htpasswd.exe
 	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
 
 !ELSEIF  "$(CFG)" == "htpasswd - Win32 Debug"
@@ -132,7 +132,7 @@
 # End Custom Macros
 
 $(DS_POSTBUILD_DEP) : "$(OUTDIR)\htpasswd.exe"
-   copy d:\work\squidnt23\contrib\htpasswd\debug\htpasswd.exe c:\squid23\htpasswd.exe
+   copy d:\work\squidnt23\contrib\htpasswd\debug\htpasswd.exe c:\squid\htpasswd.exe
 	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
 
 !ENDIF 
--- /dev/null	Wed Feb 14 00:50:05 2007
+++ squid/win/Perl Preprocessing.dsp	Wed Feb 14 00:51:36 2007
@@ -0,0 +1,127 @@
+# Microsoft Developer Studio Project File - Name="Perl Preprocessing" - Package Owner=<4>
+# Microsoft Developer Studio Generated Build File, Format Version 6.00
+# ** DO NOT EDIT **
+
+# TARGTYPE "Win32 (x86) Generic Project" 0x010a
+
+CFG=Perl Preprocessing - Win32 Debug
+!MESSAGE This is not a valid makefile. To build this project using NMAKE,
+!MESSAGE use the Export Makefile command and run
+!MESSAGE 
+!MESSAGE NMAKE /f "Perl Preprocessing.mak".
+!MESSAGE 
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "Perl Preprocessing.mak" CFG="Perl Preprocessing - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "Perl Preprocessing - Win32 Release" (based on "Win32 (x86) Generic Project")
+!MESSAGE "Perl Preprocessing - Win32 Debug" (based on "Win32 (x86) Generic Project")
+!MESSAGE 
+
+# Begin Project
+# PROP AllowPerConfigDependencies 0
+# PROP Scc_ProjName ""
+# PROP Scc_LocalPath ""
+MTL=midl.exe
+
+!IF  "$(CFG)" == "Perl Preprocessing - Win32 Release"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 0
+# PROP BASE Output_Dir "Release"
+# PROP BASE Intermediate_Dir "Release"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 0
+# PROP Output_Dir "."
+# PROP Intermediate_Dir "."
+# PROP Target_Dir ""
+
+!ELSEIF  "$(CFG)" == "Perl Preprocessing - Win32 Debug"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 1
+# PROP BASE Output_Dir "Perl_Preprocessing___Win32_Debug"
+# PROP BASE Intermediate_Dir "Perl_Preprocessing___Win32_Debug"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 1
+# PROP Output_Dir "."
+# PROP Intermediate_Dir "."
+# PROP Target_Dir ""
+
+!ENDIF 
+
+# Begin Target
+
+# Name "Perl Preprocessing - Win32 Release"
+# Name "Perl Preprocessing - Win32 Debug"
+# Begin Source File
+
+SOURCE=..\src\enums.h
+
+!IF  "$(CFG)" == "Perl Preprocessing - Win32 Release"
+
+# PROP Ignore_Default_Tool 1
+# Begin Custom Build
+InputDir=\work\squidnt23\src
+InputPath=..\src\enums.h
+
+"$(InputDir)\string_arrays.c" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+	perl $(InputDir)\mk-string-arrays.pl <$(InputPath) >$(InputDir)\string_arrays.c
+
+# End Custom Build
+
+!ELSEIF  "$(CFG)" == "Perl Preprocessing - Win32 Debug"
+
+# PROP Intermediate_Dir "Debug"
+# PROP Ignore_Default_Tool 1
+# Begin Custom Build
+InputDir=\work\squidnt23\src
+InputPath=..\src\enums.h
+
+"$(InputDir)\string_arrays.c" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+	perl $(InputDir)\mk-string-arrays.pl <$(InputPath) >$(InputDir)\string_arrays.c
+
+# End Custom Build
+
+!ENDIF 
+
+# End Source File
+# Begin Source File
+
+SOURCE=..\src\globals.h
+
+!IF  "$(CFG)" == "Perl Preprocessing - Win32 Release"
+
+# PROP Ignore_Default_Tool 1
+# Begin Custom Build
+InputDir=\work\squidnt23\src
+InputPath=..\src\globals.h
+
+"$(InputDir)\globals.c" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+	perl $(InputDir)\mk-globals-c.pl <$(InputPath) >$(InputDir)\globals.c
+
+# End Custom Build
+
+!ELSEIF  "$(CFG)" == "Perl Preprocessing - Win32 Debug"
+
+# PROP Intermediate_Dir "Debug"
+# PROP Ignore_Default_Tool 1
+# Begin Custom Build
+InputDir=\work\squidnt23\src
+InputPath=..\src\globals.h
+
+"$(InputDir)\globals.c" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+	perl $(InputDir)\mk-globals-c.pl <$(InputPath) >$(InputDir)\globals.c
+
+# End Custom Build
+
+!ENDIF 
+
+# End Source File
+# End Target
+# End Project
--- /dev/null	Wed Feb 14 00:50:05 2007
+++ squid/win/Perl Preprocessing.mak	Wed Feb 14 00:51:36 2007
@@ -0,0 +1,120 @@
+# Microsoft Developer Studio Generated NMAKE File, Based on Perl Preprocessing.dsp
+!IF "$(CFG)" == ""
+CFG=Perl Preprocessing - Win32 Debug
+!MESSAGE No configuration specified. Defaulting to Perl Preprocessing - Win32 Debug.
+!ENDIF 
+
+!IF "$(CFG)" != "Perl Preprocessing - Win32 Release" && "$(CFG)" != "Perl Preprocessing - Win32 Debug"
+!MESSAGE Invalid configuration "$(CFG)" specified.
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "Perl Preprocessing.mak" CFG="Perl Preprocessing - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "Perl Preprocessing - Win32 Release" (based on "Win32 (x86) Generic Project")
+!MESSAGE "Perl Preprocessing - Win32 Debug" (based on "Win32 (x86) Generic Project")
+!MESSAGE 
+!ERROR An invalid configuration is specified.
+!ENDIF 
+
+!IF "$(OS)" == "Windows_NT"
+NULL=
+!ELSE 
+NULL=nul
+!ENDIF 
+
+OUTDIR=.\.
+INTDIR=.\.
+
+ALL : "\work\squidnt23\src\string_arrays.c" "\work\squidnt23\src\globals.c" 
+
+
+CLEAN :
+	-@erase 
+	-@erase "\work\squidnt23\src\globals.c"
+	-@erase "\work\squidnt23\src\string_arrays.c"
+
+"$(OUTDIR)" :
+    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
+
+MTL=midl.exe
+
+!IF  "$(CFG)" == "Perl Preprocessing - Win32 Release"
+
+!ELSEIF  "$(CFG)" == "Perl Preprocessing - Win32 Debug"
+
+!ENDIF 
+
+MTL_PROJ=
+
+!IF "$(NO_EXTERNAL_DEPS)" != "1"
+!IF EXISTS("Perl Preprocessing.dep")
+!INCLUDE "Perl Preprocessing.dep"
+!ELSE 
+!MESSAGE Warning: cannot find "Perl Preprocessing.dep"
+!ENDIF 
+!ENDIF 
+
+
+!IF "$(CFG)" == "Perl Preprocessing - Win32 Release" || "$(CFG)" == "Perl Preprocessing - Win32 Debug"
+SOURCE=..\src\enums.h
+
+!IF  "$(CFG)" == "Perl Preprocessing - Win32 Release"
+
+InputDir=\work\squidnt23\src
+InputPath=..\src\enums.h
+
+"..\src\string_arrays.c" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+	<<tempfile.bat 
+	@echo off 
+	perl $(InputDir)\mk-string-arrays.pl <$(InputPath) >$(InputDir)\string_arrays.c
+<< 
+	
+
+!ELSEIF  "$(CFG)" == "Perl Preprocessing - Win32 Debug"
+
+InputDir=\work\squidnt23\src
+InputPath=..\src\enums.h
+
+"..\src\string_arrays.c" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+	<<tempfile.bat 
+	@echo off 
+	perl $(InputDir)\mk-string-arrays.pl <$(InputPath) >$(InputDir)\string_arrays.c
+<< 
+	
+
+!ENDIF 
+
+SOURCE=..\src\globals.h
+
+!IF  "$(CFG)" == "Perl Preprocessing - Win32 Release"
+
+InputDir=\work\squidnt23\src
+InputPath=..\src\globals.h
+
+"..\src\globals.c" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+	<<tempfile.bat 
+	@echo off 
+	perl $(InputDir)\mk-globals-c.pl <$(InputPath) >$(InputDir)\globals.c
+<< 
+	
+
+!ELSEIF  "$(CFG)" == "Perl Preprocessing - Win32 Debug"
+
+InputDir=\work\squidnt23\src
+InputPath=..\src\globals.h
+
+"..\src\globals.c" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+	<<tempfile.bat 
+	@echo off 
+	perl $(InputDir)\mk-globals-c.pl <$(InputPath) >$(InputDir)\globals.c
+<< 
+	
+
+!ENDIF 
+
+
+!ENDIF 
+
--- /dev/null	Wed Feb 14 00:50:05 2007
+++ squid/win/cf.data.mak	Wed Feb 14 00:51:36 2007
@@ -0,0 +1,54 @@
+prefix		= c:/squid
+exec_prefix	= $(prefix)
+exec_suffix	= .exe
+cgi_suffix	= .cgi
+top_srcdir	= ..
+bindir		= $(exec_prefix)
+libexecdir      = $(bindir)
+sysconfdir	= $(prefix)/etc
+localstatedir   = $(prefix)
+srcdir		= ..\src
+
+# Gotta love the DOS legacy
+#
+SQUID_EXE	= squid$(exec_suffix)
+CLIENT_EXE	= client$(exec_suffix)
+DNSSERVER_EXE	= dnsserver.dll
+UNLINKD_EXE	= unlinkd$(exec_suffix)
+PINGER_EXE	= pinger$(exec_suffix)
+CACHEMGR_EXE	= cachemgr$(cgi_suffix)
+
+DEFAULT_PREFIX		= $(prefix)
+DEFAULT_CONFIG_FILE     = $(sysconfdir)/squid.conf
+DEFAULT_MIME_TABLE	= $(sysconfdir)/mime.conf
+DEFAULT_DNSSERVER       = $(libexecdir)/$(DNSSERVER_EXE)
+DEFAULT_CACHE_LOG       = $(localstatedir)/log/cache.log
+DEFAULT_ACCESS_LOG      = $(localstatedir)/log/access.log
+DEFAULT_STORE_LOG       = $(localstatedir)/log/store.log
+DEFAULT_PID_FILE        = $(localstatedir)/log/squid.pid
+DEFAULT_SWAP_DIR        = $(localstatedir)/cache
+DEFAULT_PINGER		= $(libexecdir)/$(PINGER_EXE)
+DEFAULT_UNLINKD		= $(libexecdir)/$(UNLINKD_EXE)
+DEFAULT_ICON_DIR	= $(sysconfdir)/icons
+DEFAULT_ERROR_DIR	= $(sysconfdir)/errors
+DEFAULT_MIB_PATH	= $(sysconfdir)/mib.txt
+
+all:	$(srcdir)\cf.data
+
+
+$(srcdir)\cf.data: $(srcdir)\cf.data.pre
+	sed "\
+	s%@DEFAULT_MIME_TABLE@%$(DEFAULT_MIME_TABLE)%g;\
+	s%@DEFAULT_DNSSERVER@%$(DEFAULT_DNSSERVER)%g;\
+	s%@DEFAULT_UNLINKD@%$(DEFAULT_UNLINKD)%g;\
+	s%@DEFAULT_PINGER@%$(DEFAULT_PINGER)%g;\
+	s%@DEFAULT_CACHE_LOG@%$(DEFAULT_CACHE_LOG)%g;\
+	s%@DEFAULT_ACCESS_LOG@%$(DEFAULT_ACCESS_LOG)%g;\
+	s%@DEFAULT_STORE_LOG@%$(DEFAULT_STORE_LOG)%g;\
+	s%@DEFAULT_PID_FILE@%$(DEFAULT_PID_FILE)%g;\
+	s%@DEFAULT_SWAP_DIR@%$(DEFAULT_SWAP_DIR)%g;\
+	s%@DEFAULT_ICON_DIR@%$(DEFAULT_ICON_DIR)%g;\
+	s%@DEFAULT_MIB_PATH@%$(DEFAULT_MIB_PATH)%g;\
+	s%@DEFAULT_ERROR_DIR@%$(DEFAULT_ERROR_DIR)%g;\
+	s%@DEFAULT_PREFIX@%$(DEFAULT_PREFIX)%g;"\
+	< $(srcdir)\cf.data.pre >$(srcdir)\cf.data
--- /dev/null	Wed Feb 14 00:50:05 2007
+++ squid/win/cf_data.dsp	Wed Feb 14 00:51:36 2007
@@ -0,0 +1,95 @@
+# Microsoft Developer Studio Project File - Name="cf_data" - Package Owner=<4>
+# Microsoft Developer Studio Generated Build File, Format Version 6.00
+# ** DO NOT EDIT **
+
+# TARGTYPE "Win32 (x86) Generic Project" 0x010a
+
+CFG=cf_data - Win32 Debug
+!MESSAGE This is not a valid makefile. To build this project using NMAKE,
+!MESSAGE use the Export Makefile command and run
+!MESSAGE 
+!MESSAGE NMAKE /f "cf_data.mak".
+!MESSAGE 
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "cf_data.mak" CFG="cf_data - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "cf_data - Win32 Release" (based on "Win32 (x86) Generic Project")
+!MESSAGE "cf_data - Win32 Debug" (based on "Win32 (x86) Generic Project")
+!MESSAGE 
+
+# Begin Project
+# PROP AllowPerConfigDependencies 0
+# PROP Scc_ProjName ""
+# PROP Scc_LocalPath ""
+MTL=midl.exe
+
+!IF  "$(CFG)" == "cf_data - Win32 Release"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 0
+# PROP BASE Output_Dir "Release"
+# PROP BASE Intermediate_Dir "Release"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 0
+# PROP Output_Dir "."
+# PROP Intermediate_Dir "."
+# PROP Target_Dir ""
+
+!ELSEIF  "$(CFG)" == "cf_data - Win32 Debug"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 1
+# PROP BASE Output_Dir "cf_data___Win32_Debug"
+# PROP BASE Intermediate_Dir "cf_data___Win32_Debug"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 1
+# PROP Output_Dir "."
+# PROP Intermediate_Dir "."
+# PROP Target_Dir ""
+
+!ENDIF 
+
+# Begin Target
+
+# Name "cf_data - Win32 Release"
+# Name "cf_data - Win32 Debug"
+# Begin Source File
+
+SOURCE=..\src\cf.data.pre
+
+!IF  "$(CFG)" == "cf_data - Win32 Release"
+
+# Begin Custom Build
+InputDir=\work\squidnt23\src
+ProjDir=.
+InputPath=..\src\cf.data.pre
+
+"$(InputDir)\cf.data" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+	nmake /f $(ProjDir)\cf.data.mak
+
+# End Custom Build
+
+!ELSEIF  "$(CFG)" == "cf_data - Win32 Debug"
+
+# PROP Ignore_Default_Tool 1
+# Begin Custom Build
+InputDir=\work\squidnt23\src
+ProjDir=.
+InputPath=..\src\cf.data.pre
+
+"$(InputDir)\cf.data" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+	nmake /f $(ProjDir)\cf.data.mak
+
+# End Custom Build
+
+!ENDIF 
+
+# End Source File
+# End Target
+# End Project
--- /dev/null	Wed Feb 14 00:50:05 2007
+++ squid/win/cf_data.mak	Wed Feb 14 00:51:36 2007
@@ -0,0 +1,93 @@
+# Microsoft Developer Studio Generated NMAKE File, Based on cf_data.dsp
+!IF "$(CFG)" == ""
+CFG=cf_data - Win32 Debug
+!MESSAGE No configuration specified. Defaulting to cf_data - Win32 Debug.
+!ENDIF 
+
+!IF "$(CFG)" != "cf_data - Win32 Release" && "$(CFG)" != "cf_data - Win32 Debug"
+!MESSAGE Invalid configuration "$(CFG)" specified.
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "cf_data.mak" CFG="cf_data - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "cf_data - Win32 Release" (based on "Win32 (x86) Generic Project")
+!MESSAGE "cf_data - Win32 Debug" (based on "Win32 (x86) Generic Project")
+!MESSAGE 
+!ERROR An invalid configuration is specified.
+!ENDIF 
+
+!IF "$(OS)" == "Windows_NT"
+NULL=
+!ELSE 
+NULL=nul
+!ENDIF 
+
+OUTDIR=.\.
+INTDIR=.\.
+
+ALL : "\work\squidnt23\src\cf.data" 
+
+
+CLEAN :
+	-@erase 
+	-@erase "\work\squidnt23\src\cf.data"
+
+"$(OUTDIR)" :
+    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
+
+MTL=midl.exe
+
+!IF  "$(CFG)" == "cf_data - Win32 Release"
+
+!ELSEIF  "$(CFG)" == "cf_data - Win32 Debug"
+
+!ENDIF 
+
+MTL_PROJ=
+
+!IF "$(NO_EXTERNAL_DEPS)" != "1"
+!IF EXISTS("cf_data.dep")
+!INCLUDE "cf_data.dep"
+!ELSE 
+!MESSAGE Warning: cannot find "cf_data.dep"
+!ENDIF 
+!ENDIF 
+
+
+!IF "$(CFG)" == "cf_data - Win32 Release" || "$(CFG)" == "cf_data - Win32 Debug"
+SOURCE=..\src\cf.data.pre
+
+!IF  "$(CFG)" == "cf_data - Win32 Release"
+
+InputDir=\work\squidnt23\src
+ProjDir=.
+InputPath=..\src\cf.data.pre
+
+"..\src\cf.data" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+	<<tempfile.bat 
+	@echo off 
+	nmake /f $(ProjDir)\cf.data.mak
+<< 
+	
+
+!ELSEIF  "$(CFG)" == "cf_data - Win32 Debug"
+
+InputDir=\work\squidnt23\src
+ProjDir=.
+InputPath=..\src\cf.data.pre
+
+"..\src\cf.data" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+	<<tempfile.bat 
+	@echo off 
+	nmake /f $(ProjDir)\cf.data.mak
+<< 
+	
+
+!ENDIF 
+
+
+!ENDIF 
+
--- /dev/null	Wed Feb 14 00:50:05 2007
+++ squid/win/squid_conf.dsp	Wed Feb 14 00:51:36 2007
@@ -0,0 +1,114 @@
+# Microsoft Developer Studio Project File - Name="squid_conf" - Package Owner=<4>
+# Microsoft Developer Studio Generated Build File, Format Version 6.00
+# ** DO NOT EDIT **
+
+# TARGTYPE "Win32 (x86) Generic Project" 0x010a
+
+CFG=squid_conf - Win32 Debug
+!MESSAGE This is not a valid makefile. To build this project using NMAKE,
+!MESSAGE use the Export Makefile command and run
+!MESSAGE 
+!MESSAGE NMAKE /f "squid_conf.mak".
+!MESSAGE 
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "squid_conf.mak" CFG="squid_conf - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "squid_conf - Win32 Release" (based on "Win32 (x86) Generic Project")
+!MESSAGE "squid_conf - Win32 Debug" (based on "Win32 (x86) Generic Project")
+!MESSAGE 
+
+# Begin Project
+# PROP AllowPerConfigDependencies 0
+# PROP Scc_ProjName ""
+# PROP Scc_LocalPath ""
+MTL=midl.exe
+
+!IF  "$(CFG)" == "squid_conf - Win32 Release"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 0
+# PROP BASE Output_Dir "Release"
+# PROP BASE Intermediate_Dir "Release"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 0
+# PROP Output_Dir "."
+# PROP Intermediate_Dir "."
+# PROP Target_Dir ""
+# Begin Special Build Tool
+SOURCE="$(InputPath)"
+PostBuild_Cmds=del ..\src\squid.conf	move squid.conf ..\src\squid.conf	del ..\src\cf_parser.c	move cf_parser.c ..\src\cf_parser.c
+# End Special Build Tool
+
+!ELSEIF  "$(CFG)" == "squid_conf - Win32 Debug"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 1
+# PROP BASE Output_Dir "squid_conf___Win32_Debug"
+# PROP BASE Intermediate_Dir "squid_conf___Win32_Debug"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 1
+# PROP Output_Dir "."
+# PROP Intermediate_Dir "."
+# PROP Target_Dir ""
+# Begin Special Build Tool
+SOURCE="$(InputPath)"
+PostBuild_Cmds=del ..\src\squid.conf	move squid.conf ..\src\squid.conf	del ..\src\cf_parser.c	move cf_parser.c ..\src\cf_parser.c
+# End Special Build Tool
+
+!ENDIF 
+
+# Begin Target
+
+# Name "squid_conf - Win32 Release"
+# Name "squid_conf - Win32 Debug"
+# Begin Source File
+
+SOURCE=..\src\cf.data
+
+!IF  "$(CFG)" == "squid_conf - Win32 Release"
+
+# PROP Ignore_Default_Tool 1
+# Begin Custom Build
+InputDir=\work\squidnt23\src
+ProjDir=.
+InputPath=..\src\cf.data
+
+BuildCmds= \
+	$(ProjDir)\cf_gen\Release\cf_gen $(InputPath)
+
+"$(InputDir)\squid.conf" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+   $(BuildCmds)
+
+"$(InputDir)\cf_parser.c" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+   $(BuildCmds)
+# End Custom Build
+
+!ELSEIF  "$(CFG)" == "squid_conf - Win32 Debug"
+
+# PROP Ignore_Default_Tool 1
+# Begin Custom Build
+InputDir=\work\squidnt23\src
+ProjDir=.
+InputPath=..\src\cf.data
+
+BuildCmds= \
+	$(ProjDir)\cf_gen\debug\cf_gen $(InputPath)
+
+"$(InputDir)\squid.conf" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+   $(BuildCmds)
+
+"$(InputDir)\cf_parser.c" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+   $(BuildCmds)
+# End Custom Build
+
+!ENDIF 
+
+# End Source File
+# End Target
+# End Project
--- /dev/null	Wed Feb 14 00:50:05 2007
+++ squid/win/squid_conf.mak	Wed Feb 14 00:51:36 2007
@@ -0,0 +1,207 @@
+# Microsoft Developer Studio Generated NMAKE File, Based on squid_conf.dsp
+!IF "$(CFG)" == ""
+CFG=squid_conf - Win32 Debug
+!MESSAGE No configuration specified. Defaulting to squid_conf - Win32 Debug.
+!ENDIF 
+
+!IF "$(CFG)" != "squid_conf - Win32 Release" && "$(CFG)" != "squid_conf - Win32 Debug"
+!MESSAGE Invalid configuration "$(CFG)" specified.
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "squid_conf.mak" CFG="squid_conf - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "squid_conf - Win32 Release" (based on "Win32 (x86) Generic Project")
+!MESSAGE "squid_conf - Win32 Debug" (based on "Win32 (x86) Generic Project")
+!MESSAGE 
+!ERROR An invalid configuration is specified.
+!ENDIF 
+
+!IF "$(OS)" == "Windows_NT"
+NULL=
+!ELSE 
+NULL=nul
+!ENDIF 
+
+MTL=midl.exe
+
+!IF  "$(CFG)" == "squid_conf - Win32 Release"
+
+OUTDIR=.\.
+INTDIR=.\.
+
+!IF "$(RECURSE)" == "0" 
+
+ALL : "\work\squidnt23\src\squid.conf" "\work\squidnt23\src\cf_parser.c" 
+
+!ELSE 
+
+ALL : "cf_data - Win32 Release" "cf_gen - Win32 Release" "\work\squidnt23\src\squid.conf" "\work\squidnt23\src\cf_parser.c" 
+
+!ENDIF 
+
+!IF "$(RECURSE)" == "1" 
+CLEAN :"cf_gen - Win32 ReleaseCLEAN" "cf_data - Win32 ReleaseCLEAN" 
+!ELSE 
+CLEAN :
+!ENDIF 
+	-@erase 
+	-@erase "\work\squidnt23\src\cf_parser.c"
+	-@erase "\work\squidnt23\src\squid.conf"
+
+"$(OUTDIR)" :
+    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
+
+SOURCE="$(InputPath)"
+DS_POSTBUILD_DEP=$(INTDIR)\postbld.dep
+
+ALL : $(DS_POSTBUILD_DEP)
+
+$(DS_POSTBUILD_DEP) : "cf_data - Win32 Release" "cf_gen - Win32 Release" "\work\squidnt23\src\squid.conf" "\work\squidnt23\src\cf_parser.c" 
+   del ..\src\squid.conf
+	move squid.conf ..\src\squid.conf
+	del ..\src\cf_parser.c
+	move cf_parser.c ..\src\cf_parser.c
+	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
+
+!ELSEIF  "$(CFG)" == "squid_conf - Win32 Debug"
+
+OUTDIR=.\.
+INTDIR=.\.
+
+!IF "$(RECURSE)" == "0" 
+
+ALL : "\work\squidnt23\src\squid.conf" "\work\squidnt23\src\cf_parser.c" 
+
+!ELSE 
+
+ALL : "cf_data - Win32 Debug" "cf_gen - Win32 Debug" "\work\squidnt23\src\squid.conf" "\work\squidnt23\src\cf_parser.c" 
+
+!ENDIF 
+
+!IF "$(RECURSE)" == "1" 
+CLEAN :"cf_gen - Win32 DebugCLEAN" "cf_data - Win32 DebugCLEAN" 
+!ELSE 
+CLEAN :
+!ENDIF 
+	-@erase 
+	-@erase "\work\squidnt23\src\cf_parser.c"
+	-@erase "\work\squidnt23\src\squid.conf"
+
+"$(OUTDIR)" :
+    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
+
+SOURCE="$(InputPath)"
+DS_POSTBUILD_DEP=$(INTDIR)\postbld.dep
+
+ALL : $(DS_POSTBUILD_DEP)
+
+$(DS_POSTBUILD_DEP) : "cf_data - Win32 Debug" "cf_gen - Win32 Debug" "\work\squidnt23\src\squid.conf" "\work\squidnt23\src\cf_parser.c" 
+   del ..\src\squid.conf
+	move squid.conf ..\src\squid.conf
+	del ..\src\cf_parser.c
+	move cf_parser.c ..\src\cf_parser.c
+	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
+
+!ENDIF 
+
+MTL_PROJ=
+
+!IF "$(NO_EXTERNAL_DEPS)" != "1"
+!IF EXISTS("squid_conf.dep")
+!INCLUDE "squid_conf.dep"
+!ELSE 
+!MESSAGE Warning: cannot find "squid_conf.dep"
+!ENDIF 
+!ENDIF 
+
+
+!IF "$(CFG)" == "squid_conf - Win32 Release" || "$(CFG)" == "squid_conf - Win32 Debug"
+
+!IF  "$(CFG)" == "squid_conf - Win32 Release"
+
+"cf_gen - Win32 Release" : 
+   cd ".\cf_gen"
+   $(MAKE) /$(MAKEFLAGS) /F .\cf_gen.mak CFG="cf_gen - Win32 Release" 
+   cd ".."
+
+"cf_gen - Win32 ReleaseCLEAN" : 
+   cd ".\cf_gen"
+   $(MAKE) /$(MAKEFLAGS) /F .\cf_gen.mak CFG="cf_gen - Win32 Release" RECURSE=1 CLEAN 
+   cd ".."
+
+!ELSEIF  "$(CFG)" == "squid_conf - Win32 Debug"
+
+"cf_gen - Win32 Debug" : 
+   cd ".\cf_gen"
+   $(MAKE) /$(MAKEFLAGS) /F .\cf_gen.mak CFG="cf_gen - Win32 Debug" 
+   cd ".."
+
+"cf_gen - Win32 DebugCLEAN" : 
+   cd ".\cf_gen"
+   $(MAKE) /$(MAKEFLAGS) /F .\cf_gen.mak CFG="cf_gen - Win32 Debug" RECURSE=1 CLEAN 
+   cd ".."
+
+!ENDIF 
+
+!IF  "$(CFG)" == "squid_conf - Win32 Release"
+
+"cf_data - Win32 Release" : 
+   cd "."
+   $(MAKE) /$(MAKEFLAGS) /F .\cf_data.mak CFG="cf_data - Win32 Release" 
+   cd "."
+
+"cf_data - Win32 ReleaseCLEAN" : 
+   cd "."
+   $(MAKE) /$(MAKEFLAGS) /F .\cf_data.mak CFG="cf_data - Win32 Release" RECURSE=1 CLEAN 
+   cd "."
+
+!ELSEIF  "$(CFG)" == "squid_conf - Win32 Debug"
+
+"cf_data - Win32 Debug" : 
+   cd "."
+   $(MAKE) /$(MAKEFLAGS) /F .\cf_data.mak CFG="cf_data - Win32 Debug" 
+   cd "."
+
+"cf_data - Win32 DebugCLEAN" : 
+   cd "."
+   $(MAKE) /$(MAKEFLAGS) /F .\cf_data.mak CFG="cf_data - Win32 Debug" RECURSE=1 CLEAN 
+   cd "."
+
+!ENDIF 
+
+SOURCE=..\src\cf.data
+
+!IF  "$(CFG)" == "squid_conf - Win32 Release"
+
+InputDir=\work\squidnt23\src
+ProjDir=.
+InputPath=..\src\cf.data
+
+"..\src\squid.conf"	"..\src\cf_parser.c" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+	<<tempfile.bat 
+	@echo off 
+	$(ProjDir)\cf_gen\Release\cf_gen $(InputPath)
+<< 
+	
+
+!ELSEIF  "$(CFG)" == "squid_conf - Win32 Debug"
+
+InputDir=\work\squidnt23\src
+ProjDir=.
+InputPath=..\src\cf.data
+
+"..\src\squid.conf"	"..\src\cf_parser.c" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+	<<tempfile.bat 
+	@echo off 
+	$(ProjDir)\cf_gen\debug\cf_gen $(InputPath)
+<< 
+	
+
+!ENDIF 
+
+
+!ENDIF 
+
Index: squid/win/win.dsw
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/Attic/win.dsw,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid/win/win.dsw	6 Jan 2001 12:40:17 -0000	1.1.2.1
+++ squid/win/win.dsw	25 Mar 2001 16:55:30 -0000	1.1.2.2
@@ -54,6 +54,18 @@
 
 ###############################################################################
 
+Project: "Perl Preprocessing"=".\Perl Preprocessing.dsp" - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+}}}
+
+###############################################################################
+
 Project: "cachemgr"=.\cachemgr\cachemgr.dsp - Package Owner=<4>
 
 Package=<5>
@@ -69,6 +81,18 @@
 
 ###############################################################################
 
+Project: "cf_data"=.\cf_data.dsp - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+}}}
+
+###############################################################################
+
 Project: "cf_gen"=.\cf_gen\cf_gen.dsp - Package Owner=<4>
 
 Package=<5>
@@ -147,6 +171,24 @@
 
 ###############################################################################
 
+Project: "squid_conf"=.\squid_conf.dsp - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+    Begin Project Dependency
+    Project_Dep_Name cf_gen
+    End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name cf_data
+    End Project Dependency
+}}}
+
+###############################################################################
+
 Project: "squidnt"=.\squidnt\squidnt.dsp - Package Owner=<4>
 
 Package=<5>
@@ -171,14 +213,17 @@
     Project_Dep_Name cachemgr
     End Project Dependency
     Begin Project Dependency
-    Project_Dep_Name cf_gen
-    End Project Dependency
-    Begin Project Dependency
     Project_Dep_Name dnsserver
     End Project Dependency
     Begin Project Dependency
     Project_Dep_Name LDAP_auth
     End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name Perl Preprocessing
+    End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name squid_conf
+    End Project Dependency
 }}}
 
 ###############################################################################
Index: squid/win/cachemgr/cachemgr.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/cachemgr/Attic/cachemgr.dsp,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid/win/cachemgr/cachemgr.dsp	6 Jan 2001 12:40:17 -0000	1.1.2.1
+++ squid/win/cachemgr/cachemgr.dsp	25 Mar 2001 16:55:30 -0000	1.1.2.2
@@ -54,7 +54,7 @@
 # SUBTRACT LINK32 /pdb:none
 # Begin Special Build Tool
 SOURCE="$(InputPath)"
-PostBuild_Cmds=copy d:\work\squidnt23\win\cachemgr\release\cachemgr.exe c:\squid23\cgi-bin\cachemgr.cgi
+PostBuild_Cmds=copy d:\work\squidnt23\win\cachemgr\release\cachemgr.exe c:\squid\cgi-bin\cachemgr.cgi
 # End Special Build Tool
 
 !ELSEIF  "$(CFG)" == "cachemgr - Win32 Debug"
@@ -82,7 +82,7 @@
 # ADD LINK32 kernel32.lib user32.lib advapi32.lib ws2_32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept /libpath:"..\\"
 # Begin Special Build Tool
 SOURCE="$(InputPath)"
-PostBuild_Cmds=copy d:\work\squidnt23\win\cachemgr\debug\cachemgr.exe c:\squid23\cgi-bin\cachemgr.cgi
+PostBuild_Cmds=copy d:\work\squidnt23\win\cachemgr\debug\cachemgr.exe c:\squid\cgi-bin\cachemgr.cgi
 # End Special Build Tool
 
 !ENDIF 
Index: squid/win/cachemgr/cachemgr.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/cachemgr/Attic/cachemgr.mak,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid/win/cachemgr/cachemgr.mak	6 Jan 2001 12:40:17 -0000	1.1.2.1
+++ squid/win/cachemgr/cachemgr.mak	25 Mar 2001 16:55:30 -0000	1.1.2.2
@@ -87,7 +87,7 @@
 # End Custom Macros
 
 $(DS_POSTBUILD_DEP) : "miscutil - Win32 Release" "$(OUTDIR)\cachemgr.exe"
-   copy d:\work\squidnt23\win\cachemgr\release\cachemgr.exe c:\squid23\cgi-bin\cachemgr.cgi
+   copy d:\work\squidnt23\win\cachemgr\release\cachemgr.exe c:\squid\cgi-bin\cachemgr.cgi
 	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
 
 !ELSEIF  "$(CFG)" == "cachemgr - Win32 Debug"
@@ -152,7 +152,7 @@
 # End Custom Macros
 
 $(DS_POSTBUILD_DEP) : "miscutil - Win32 Debug" "$(OUTDIR)\cachemgr.exe"
-   copy d:\work\squidnt23\win\cachemgr\debug\cachemgr.exe c:\squid23\cgi-bin\cachemgr.cgi
+   copy d:\work\squidnt23\win\cachemgr\debug\cachemgr.exe c:\squid\cgi-bin\cachemgr.cgi
 	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
 
 !ENDIF 
Index: squid/win/cf_gen/cf_gen.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/cf_gen/Attic/cf_gen.dsp,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid/win/cf_gen/cf_gen.dsp	6 Jan 2001 12:40:17 -0000	1.1.2.1
+++ squid/win/cf_gen/cf_gen.dsp	25 Mar 2001 16:55:30 -0000	1.1.2.2
@@ -75,7 +75,7 @@
 # ADD BSC32 /nologo
 LINK32=link.exe
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
-# ADD LINK32 gdi32.lib winspool.lib comdlg32.lib shell32.lib ole32.lib oleaut32.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib advapi32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 kernel32.lib user32.lib advapi32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
 
 !ENDIF 
 
Index: squid/win/cf_gen/cf_gen.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/cf_gen/Attic/cf_gen.mak,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid/win/cf_gen/cf_gen.mak	6 Jan 2001 12:40:17 -0000	1.1.2.1
+++ squid/win/cf_gen/cf_gen.mak	25 Mar 2001 16:55:30 -0000	1.1.2.2
@@ -90,7 +90,7 @@
 BSC32_SBRS= \
 	
 LINK32=link.exe
-LINK32_FLAGS=gdi32.lib winspool.lib comdlg32.lib shell32.lib ole32.lib oleaut32.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib advapi32.lib /nologo /subsystem:console /incremental:yes /pdb:"$(OUTDIR)\cf_gen.pdb" /debug /machine:I386 /out:"$(OUTDIR)\cf_gen.exe" /pdbtype:sept 
+LINK32_FLAGS=kernel32.lib user32.lib advapi32.lib /nologo /subsystem:console /incremental:yes /pdb:"$(OUTDIR)\cf_gen.pdb" /debug /machine:I386 /out:"$(OUTDIR)\cf_gen.exe" /pdbtype:sept 
 LINK32_OBJS= \
 	"$(INTDIR)\cf_gen.obj"
 
Index: squid/win/dnsserver/dnsserver.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/dnsserver/Attic/dnsserver.dsp,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid/win/dnsserver/dnsserver.dsp	6 Jan 2001 12:40:17 -0000	1.1.2.1
+++ squid/win/dnsserver/dnsserver.dsp	25 Mar 2001 16:55:30 -0000	1.1.2.2
@@ -56,7 +56,7 @@
 # ADD LINK32 kernel32.lib user32.lib gdi32.lib advapi32.lib ws2_32.lib /nologo /dll /machine:I386
 # Begin Special Build Tool
 SOURCE="$(InputPath)"
-PostBuild_Cmds=copy d:\work\squidnt23\win\dnsserver\release\dnsserver.dll c:\squid23\dnsserver.dll
+PostBuild_Cmds=copy d:\work\squidnt23\win\dnsserver\release\dnsserver.dll c:\squid\dnsserver.dll
 # End Special Build Tool
 
 !ELSEIF  "$(CFG)" == "dnsserver - Win32 Debug"
@@ -86,7 +86,7 @@
 # ADD LINK32 kernel32.lib user32.lib gdi32.lib advapi32.lib ws2_32.lib /nologo /dll /debug /machine:I386 /pdbtype:sept
 # Begin Special Build Tool
 SOURCE="$(InputPath)"
-PostBuild_Cmds=copy d:\work\squidnt23\win\dnsserver\debug\dnsserver.dll c:\squid23\dnsserver.dll
+PostBuild_Cmds=copy d:\work\squidnt23\win\dnsserver\debug\dnsserver.dll c:\squid\dnsserver.dll
 # End Special Build Tool
 
 !ENDIF 
Index: squid/win/dnsserver/dnsserver.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/dnsserver/Attic/dnsserver.mak,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid/win/dnsserver/dnsserver.mak	6 Jan 2001 12:40:17 -0000	1.1.2.1
+++ squid/win/dnsserver/dnsserver.mak	25 Mar 2001 16:55:30 -0000	1.1.2.2
@@ -90,7 +90,7 @@
 # End Custom Macros
 
 $(DS_POSTBUILD_DEP) : "miscutil - Win32 Release" "$(OUTDIR)\dnsserver.dll"
-   copy d:\work\squidnt23\win\dnsserver\release\dnsserver.dll c:\squid23\dnsserver.dll
+   copy d:\work\squidnt23\win\dnsserver\release\dnsserver.dll c:\squid\dnsserver.dll
 	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
 
 !ELSEIF  "$(CFG)" == "dnsserver - Win32 Debug"
@@ -157,7 +157,7 @@
 # End Custom Macros
 
 $(DS_POSTBUILD_DEP) : "miscutil - Win32 Debug" "$(OUTDIR)\dnsserver.dll"
-   copy d:\work\squidnt23\win\dnsserver\debug\dnsserver.dll c:\squid23\dnsserver.dll
+   copy d:\work\squidnt23\win\dnsserver\debug\dnsserver.dll c:\squid\dnsserver.dll
 	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
 
 !ENDIF 
Index: squid/win/squidnt/squidnt.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/squidnt/Attic/squidnt.dsp,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid/win/squidnt/squidnt.dsp	6 Jan 2001 12:40:18 -0000	1.1.2.1
+++ squid/win/squidnt/squidnt.dsp	25 Mar 2001 16:55:30 -0000	1.1.2.2
@@ -42,7 +42,7 @@
 # PROP Ignore_Export_Lib 0
 # PROP Target_Dir ""
 # ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
-# ADD CPP /nologo /G6 /MT /W3 /vmg /GX /O2 /Ob2 /I "../../include" /I "../" /I "../../src" /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
+# ADD CPP /nologo /G6 /MT /W3 /vmg /GX /O2 /Ob2 /I "../../include" /I "../" /I "../../src" /D "NDEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /YX /FD /c
 # SUBTRACT CPP /Fr
 # ADD BASE RSC /l 0x409 /d "NDEBUG"
 # ADD RSC /l 0x409 /d "NDEBUG"
@@ -54,7 +54,7 @@
 # ADD LINK32 kernel32.lib user32.lib ws2_32.lib advapi32.lib psapi.lib /nologo /subsystem:console /machine:I386 /out:"Release/squid.exe" /libpath:"..\\"
 # Begin Special Build Tool
 SOURCE="$(InputPath)"
-PostBuild_Cmds=net stop "SquidNT2.3Stable4 beta"	copy d:\work\squidnt23\win\squidnt\release\squid.exe c:\squid23\squid.exe	net start "SquidNT2.3Stable4 beta"
+PostBuild_Cmds=net stop "SquidNT2.3Stable4 beta"	copy d:\work\squidnt23\win\squidnt\release\squid.exe c:\squid\squid.exe	net start "SquidNT2.3Stable4 beta"
 # End Special Build Tool
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
@@ -71,7 +71,7 @@
 # PROP Ignore_Export_Lib 0
 # PROP Target_Dir ""
 # ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ /c
-# ADD CPP /nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /I "../../src" /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ /c
+# ADD CPP /nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /I "../../src" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /YX /FD /GZ /c
 # SUBTRACT CPP /Fr
 # ADD BASE RSC /l 0x409 /d "_DEBUG"
 # ADD RSC /l 0x409 /d "_DEBUG"
@@ -84,7 +84,7 @@
 # SUBTRACT LINK32 /profile
 # Begin Special Build Tool
 SOURCE="$(InputPath)"
-PostBuild_Cmds=net stop "SquidNT2.3Stable4 beta"	copy d:\work\squidnt23\win\squidnt\debug\squid.exe c:\squid23\squid.exe	copy d:\work\squidnt23\auth_modules\NT\debug\nt_auth.dll c:\squid23\nt_auth.dll	copy d:\work\squidnt23\auth_modules\NCSA\debug\ncsa_auth.dll c:\squid23\ncsa_auth.dll
+PostBuild_Cmds=net stop "SquidNT2.3Stable4 beta"	copy d:\work\squidnt23\win\squidnt\debug\squid.exe c:\squid\squid.exe	copy d:\work\squidnt23\auth_modules\NT\debug\nt_auth.dll c:\squid\nt_auth.dll	copy d:\work\squidnt23\auth_modules\NCSA\debug\ncsa_auth.dll c:\squid\ncsa_auth.dll
 # End Special Build Tool
 
 !ENDIF 
@@ -216,6 +216,8 @@
 # Begin Source File
 
 SOURCE=..\..\src\globals.c
+# ADD CPP /D DEFAULT_CONFIG_FILE=\"c:/squid/etc/squid.conf\"
+# SUBTRACT CPP /D DEFAULT_CONFIG_FILE=\"squid.conf\"
 # End Source File
 # Begin Source File
 
@@ -443,11 +445,11 @@
 # End Source File
 # Begin Source File
 
-SOURCE="..\..\src\string-arrays.c"
+SOURCE=..\..\src\String.c
 # End Source File
 # Begin Source File
 
-SOURCE=..\..\src\String.c
+SOURCE=..\..\src\string_arrays.c
 # End Source File
 # Begin Source File
 
Index: squid/win/squidnt/squidnt.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/squidnt/Attic/squidnt.mak,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid/win/squidnt/squidnt.mak	6 Jan 2001 12:40:18 -0000	1.1.2.1
+++ squid/win/squidnt/squidnt.mak	25 Mar 2001 16:55:30 -0000	1.1.2.2
@@ -42,12 +42,12 @@
 
 !ELSE 
 
-ALL : "LDAP_auth - Win32 Release" "dnsserver - Win32 Release" "cf_gen - Win32 Release" "cachemgr - Win32 Release" "NCSA_auth - Win32 Release" "NT_auth - Win32 Release" "miscutil - Win32 Release" "$(OUTDIR)\squid.exe"
+ALL : "squid_conf - Win32 Release" "Perl Preprocessing - Win32 Release" "LDAP_auth - Win32 Release" "dnsserver - Win32 Release" "cachemgr - Win32 Release" "NCSA_auth - Win32 Release" "NT_auth - Win32 Release" "miscutil - Win32 Release" "$(OUTDIR)\squid.exe"
 
 !ENDIF 
 
 !IF "$(RECURSE)" == "1" 
-CLEAN :"miscutil - Win32 ReleaseCLEAN" "NT_auth - Win32 ReleaseCLEAN" "NCSA_auth - Win32 ReleaseCLEAN" "cachemgr - Win32 ReleaseCLEAN" "cf_gen - Win32 ReleaseCLEAN" "dnsserver - Win32 ReleaseCLEAN" "LDAP_auth - Win32 ReleaseCLEAN" 
+CLEAN :"miscutil - Win32 ReleaseCLEAN" "NT_auth - Win32 ReleaseCLEAN" "NCSA_auth - Win32 ReleaseCLEAN" "cachemgr - Win32 ReleaseCLEAN" "dnsserver - Win32 ReleaseCLEAN" "LDAP_auth - Win32 ReleaseCLEAN" "Perl Preprocessing - Win32 ReleaseCLEAN" "squid_conf - Win32 ReleaseCLEAN" 
 !ELSE 
 CLEAN :
 !ENDIF 
@@ -136,8 +136,8 @@
 	-@erase "$(INTDIR)\store_swapin.obj"
 	-@erase "$(INTDIR)\store_swapmeta.obj"
 	-@erase "$(INTDIR)\store_swapout.obj"
-	-@erase "$(INTDIR)\string-arrays.obj"
 	-@erase "$(INTDIR)\String.obj"
+	-@erase "$(INTDIR)\string_arrays.obj"
 	-@erase "$(INTDIR)\tools.obj"
 	-@erase "$(INTDIR)\unlinkd.obj"
 	-@erase "$(INTDIR)\url.obj"
@@ -153,7 +153,7 @@
 "$(OUTDIR)" :
     if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
 
-CPP_PROJ=/nologo /G6 /MT /W3 /vmg /GX /O2 /Ob2 /I "../../include" /I "../" /I "../../src" /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /Fp"$(INTDIR)\squidnt.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
+CPP_PROJ=/nologo /G6 /MT /W3 /vmg /GX /O2 /Ob2 /I "../../include" /I "../" /I "../../src" /D "NDEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /Fp"$(INTDIR)\squidnt.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
 RSC_PROJ=/l 0x409 /fo"$(INTDIR)\squid.res" /d "NDEBUG" 
 BSC32=bscmake.exe
 BSC32_FLAGS=/nologo /o"$(OUTDIR)\squidnt.bsc" 
@@ -246,8 +246,8 @@
 	"$(INTDIR)\store_swapin.obj" \
 	"$(INTDIR)\store_swapmeta.obj" \
 	"$(INTDIR)\store_swapout.obj" \
-	"$(INTDIR)\string-arrays.obj" \
 	"$(INTDIR)\String.obj" \
+	"$(INTDIR)\string_arrays.obj" \
 	"$(INTDIR)\tools.obj" \
 	"$(INTDIR)\unlinkd.obj" \
 	"$(INTDIR)\url.obj" \
@@ -274,9 +274,9 @@
 OutDir=.\Release
 # End Custom Macros
 
-$(DS_POSTBUILD_DEP) : "LDAP_auth - Win32 Release" "dnsserver - Win32 Release" "cf_gen - Win32 Release" "cachemgr - Win32 Release" "NCSA_auth - Win32 Release" "NT_auth - Win32 Release" "miscutil - Win32 Release" "$(OUTDIR)\squid.exe"
+$(DS_POSTBUILD_DEP) : "squid_conf - Win32 Release" "Perl Preprocessing - Win32 Release" "LDAP_auth - Win32 Release" "dnsserver - Win32 Release" "cachemgr - Win32 Release" "NCSA_auth - Win32 Release" "NT_auth - Win32 Release" "miscutil - Win32 Release" "$(OUTDIR)\squid.exe"
    net stop "SquidNT2.3Stable4 beta"
-	copy d:\work\squidnt23\win\squidnt\release\squid.exe c:\squid23\squid.exe
+	copy d:\work\squidnt23\win\squidnt\release\squid.exe c:\squid\squid.exe
 	net start "SquidNT2.3Stable4 beta"
 	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
 
@@ -294,12 +294,12 @@
 
 !ELSE 
 
-ALL : "LDAP_auth - Win32 Debug" "dnsserver - Win32 Debug" "cf_gen - Win32 Debug" "cachemgr - Win32 Debug" "NCSA_auth - Win32 Debug" "NT_auth - Win32 Debug" "miscutil - Win32 Debug" "$(OUTDIR)\squid.exe"
+ALL : "squid_conf - Win32 Debug" "Perl Preprocessing - Win32 Debug" "LDAP_auth - Win32 Debug" "dnsserver - Win32 Debug" "cachemgr - Win32 Debug" "NCSA_auth - Win32 Debug" "NT_auth - Win32 Debug" "miscutil - Win32 Debug" "$(OUTDIR)\squid.exe"
 
 !ENDIF 
 
 !IF "$(RECURSE)" == "1" 
-CLEAN :"miscutil - Win32 DebugCLEAN" "NT_auth - Win32 DebugCLEAN" "NCSA_auth - Win32 DebugCLEAN" "cachemgr - Win32 DebugCLEAN" "cf_gen - Win32 DebugCLEAN" "dnsserver - Win32 DebugCLEAN" "LDAP_auth - Win32 DebugCLEAN" 
+CLEAN :"miscutil - Win32 DebugCLEAN" "NT_auth - Win32 DebugCLEAN" "NCSA_auth - Win32 DebugCLEAN" "cachemgr - Win32 DebugCLEAN" "dnsserver - Win32 DebugCLEAN" "LDAP_auth - Win32 DebugCLEAN" "Perl Preprocessing - Win32 DebugCLEAN" "squid_conf - Win32 DebugCLEAN" 
 !ELSE 
 CLEAN :
 !ENDIF 
@@ -388,8 +388,8 @@
 	-@erase "$(INTDIR)\store_swapin.obj"
 	-@erase "$(INTDIR)\store_swapmeta.obj"
 	-@erase "$(INTDIR)\store_swapout.obj"
-	-@erase "$(INTDIR)\string-arrays.obj"
 	-@erase "$(INTDIR)\String.obj"
+	-@erase "$(INTDIR)\string_arrays.obj"
 	-@erase "$(INTDIR)\tools.obj"
 	-@erase "$(INTDIR)\unlinkd.obj"
 	-@erase "$(INTDIR)\url.obj"
@@ -408,7 +408,7 @@
 "$(OUTDIR)" :
     if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
 
-CPP_PROJ=/nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /I "../../src" /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /Fp"$(INTDIR)\squidnt.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
+CPP_PROJ=/nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /I "../../src" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /Fp"$(INTDIR)\squidnt.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
 RSC_PROJ=/l 0x409 /fo"$(INTDIR)\squid.res" /d "_DEBUG" 
 BSC32=bscmake.exe
 BSC32_FLAGS=/nologo /o"$(OUTDIR)\squidnt.bsc" 
@@ -501,8 +501,8 @@
 	"$(INTDIR)\store_swapin.obj" \
 	"$(INTDIR)\store_swapmeta.obj" \
 	"$(INTDIR)\store_swapout.obj" \
-	"$(INTDIR)\string-arrays.obj" \
 	"$(INTDIR)\String.obj" \
+	"$(INTDIR)\string_arrays.obj" \
 	"$(INTDIR)\tools.obj" \
 	"$(INTDIR)\unlinkd.obj" \
 	"$(INTDIR)\url.obj" \
@@ -529,11 +529,11 @@
 OutDir=.\Debug
 # End Custom Macros
 
-$(DS_POSTBUILD_DEP) : "LDAP_auth - Win32 Debug" "dnsserver - Win32 Debug" "cf_gen - Win32 Debug" "cachemgr - Win32 Debug" "NCSA_auth - Win32 Debug" "NT_auth - Win32 Debug" "miscutil - Win32 Debug" "$(OUTDIR)\squid.exe"
+$(DS_POSTBUILD_DEP) : "squid_conf - Win32 Debug" "Perl Preprocessing - Win32 Debug" "LDAP_auth - Win32 Debug" "dnsserver - Win32 Debug" "cachemgr - Win32 Debug" "NCSA_auth - Win32 Debug" "NT_auth - Win32 Debug" "miscutil - Win32 Debug" "$(OUTDIR)\squid.exe"
    net stop "SquidNT2.3Stable4 beta"
-	copy d:\work\squidnt23\win\squidnt\debug\squid.exe c:\squid23\squid.exe
-	copy d:\work\squidnt23\auth_modules\NT\debug\nt_auth.dll c:\squid23\nt_auth.dll
-	copy d:\work\squidnt23\auth_modules\NCSA\debug\ncsa_auth.dll c:\squid23\ncsa_auth.dll
+	copy d:\work\squidnt23\win\squidnt\debug\squid.exe c:\squid\squid.exe
+	copy d:\work\squidnt23\auth_modules\NT\debug\nt_auth.dll c:\squid\nt_auth.dll
+	copy d:\work\squidnt23\auth_modules\NCSA\debug\ncsa_auth.dll c:\squid\ncsa_auth.dll
 	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
 
 !ENDIF 
@@ -607,7 +607,7 @@
 
 !IF  "$(CFG)" == "squidnt - Win32 Release"
 
-CPP_SWITCHES=/nologo /G6 /MT /W4 /vmg /GX /O2 /Ob2 /I "../../include" /I "../" /I "../../src" /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /Fp"$(INTDIR)\squidnt.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
+CPP_SWITCHES=/nologo /G6 /MT /W4 /vmg /GX /O2 /Ob2 /I "../../include" /I "../" /I "../../src" /D "NDEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /Fp"$(INTDIR)\squidnt.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
 
 "$(INTDIR)\authenticate.obj" : $(SOURCE) "$(INTDIR)"
 	$(CPP) @<<
@@ -617,7 +617,7 @@
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
 
-CPP_SWITCHES=/nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /I "../../src" /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /Fp"$(INTDIR)\squidnt.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
+CPP_SWITCHES=/nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /I "../../src" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /Fp"$(INTDIR)\squidnt.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
 
 "$(INTDIR)\authenticate.obj" : $(SOURCE) "$(INTDIR)"
 	$(CPP) @<<
@@ -761,10 +761,28 @@
 
 SOURCE=..\..\src\globals.c
 
+!IF  "$(CFG)" == "squidnt - Win32 Release"
+
+CPP_SWITCHES=/nologo /G6 /MT /W3 /vmg /GX /O2 /Ob2 /I "../../include" /I "../" /I "../../src" /D "NDEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /Fp"$(INTDIR)\squidnt.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /D DEFAULT_CONFIG_FILE=\"c:/squid/etc/squid.conf\" /c 
+
 "$(INTDIR)\globals.obj" : $(SOURCE) "$(INTDIR)"
-	$(CPP) $(CPP_PROJ) $(SOURCE)
+	$(CPP) @<<
+  $(CPP_SWITCHES) $(SOURCE)
+<<
+
+
+!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
+
+CPP_SWITCHES=/nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /I "../../src" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /Fp"$(INTDIR)\squidnt.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ  /D DEFAULT_CONFIG_FILE=\"c:/squid/etc/squid.conf\" /c 
+
+"$(INTDIR)\globals.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) @<<
+  $(CPP_SWITCHES) $(SOURCE)
+<<
 
 
+!ENDIF 
+
 SOURCE=..\..\src\gopher.c
 
 "$(INTDIR)\gopher.obj" : $(SOURCE) "$(INTDIR)"
@@ -1101,15 +1119,15 @@
 	$(CPP) $(CPP_PROJ) $(SOURCE)
 
 
-SOURCE="..\..\src\string-arrays.c"
+SOURCE=..\..\src\String.c
 
-"$(INTDIR)\string-arrays.obj" : $(SOURCE) "$(INTDIR)"
+"$(INTDIR)\String.obj" : $(SOURCE) "$(INTDIR)"
 	$(CPP) $(CPP_PROJ) $(SOURCE)
 
 
-SOURCE=..\..\src\String.c
+SOURCE=..\..\src\string_arrays.c
 
-"$(INTDIR)\String.obj" : $(SOURCE) "$(INTDIR)"
+"$(INTDIR)\string_arrays.obj" : $(SOURCE) "$(INTDIR)"
 	$(CPP) $(CPP_PROJ) $(SOURCE)
 
 
@@ -1117,7 +1135,7 @@
 
 !IF  "$(CFG)" == "squidnt - Win32 Release"
 
-CPP_SWITCHES=/nologo /G6 /MT /W4 /vmg /GX /O2 /Ob2 /I "../../include" /I "../" /I "../../src" /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /Fp"$(INTDIR)\squidnt.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
+CPP_SWITCHES=/nologo /G6 /MT /W4 /vmg /GX /O2 /Ob2 /I "../../include" /I "../" /I "../../src" /D "NDEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /Fp"$(INTDIR)\squidnt.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
 
 "$(INTDIR)\tools.obj" : $(SOURCE) "$(INTDIR)"
 	$(CPP) @<<
@@ -1127,7 +1145,7 @@
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
 
-CPP_SWITCHES=/nologo /G6 /MTd /W4 /Gm /GX /ZI /Od /I "../../include" /I "../" /I "../../src" /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /Fp"$(INTDIR)\squidnt.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
+CPP_SWITCHES=/nologo /G6 /MTd /W4 /Gm /GX /ZI /Od /I "../../include" /I "../" /I "../../src" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /Fp"$(INTDIR)\squidnt.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
 
 "$(INTDIR)\tools.obj" : $(SOURCE) "$(INTDIR)"
 	$(CPP) @<<
@@ -1315,32 +1333,6 @@
 
 !IF  "$(CFG)" == "squidnt - Win32 Release"
 
-"cf_gen - Win32 Release" : 
-   cd "\work\squidnt23\win\cf_gen"
-   $(MAKE) /$(MAKEFLAGS) /F .\cf_gen.mak CFG="cf_gen - Win32 Release" 
-   cd "..\squidnt"
-
-"cf_gen - Win32 ReleaseCLEAN" : 
-   cd "\work\squidnt23\win\cf_gen"
-   $(MAKE) /$(MAKEFLAGS) /F .\cf_gen.mak CFG="cf_gen - Win32 Release" RECURSE=1 CLEAN 
-   cd "..\squidnt"
-
-!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
-
-"cf_gen - Win32 Debug" : 
-   cd "\work\squidnt23\win\cf_gen"
-   $(MAKE) /$(MAKEFLAGS) /F .\cf_gen.mak CFG="cf_gen - Win32 Debug" 
-   cd "..\squidnt"
-
-"cf_gen - Win32 DebugCLEAN" : 
-   cd "\work\squidnt23\win\cf_gen"
-   $(MAKE) /$(MAKEFLAGS) /F .\cf_gen.mak CFG="cf_gen - Win32 Debug" RECURSE=1 CLEAN 
-   cd "..\squidnt"
-
-!ENDIF 
-
-!IF  "$(CFG)" == "squidnt - Win32 Release"
-
 "dnsserver - Win32 Release" : 
    cd "\work\squidnt23\win\dnsserver"
    $(MAKE) /$(MAKEFLAGS) /F .\dnsserver.mak CFG="dnsserver - Win32 Release" 
@@ -1391,6 +1383,58 @@
 
 !ENDIF 
 
+!IF  "$(CFG)" == "squidnt - Win32 Release"
+
+"Perl Preprocessing - Win32 Release" : 
+   cd "\work\squidnt23\win"
+   $(MAKE) /$(MAKEFLAGS) /F ".\Perl Preprocessing.mak" CFG="Perl Preprocessing - Win32 Release" 
+   cd ".\squidnt"
+
+"Perl Preprocessing - Win32 ReleaseCLEAN" : 
+   cd "\work\squidnt23\win"
+   $(MAKE) /$(MAKEFLAGS) /F ".\Perl Preprocessing.mak" CFG="Perl Preprocessing - Win32 Release" RECURSE=1 CLEAN 
+   cd ".\squidnt"
+
+!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
+
+"Perl Preprocessing - Win32 Debug" : 
+   cd "\work\squidnt23\win"
+   $(MAKE) /$(MAKEFLAGS) /F ".\Perl Preprocessing.mak" CFG="Perl Preprocessing - Win32 Debug" 
+   cd ".\squidnt"
+
+"Perl Preprocessing - Win32 DebugCLEAN" : 
+   cd "\work\squidnt23\win"
+   $(MAKE) /$(MAKEFLAGS) /F ".\Perl Preprocessing.mak" CFG="Perl Preprocessing - Win32 Debug" RECURSE=1 CLEAN 
+   cd ".\squidnt"
+
+!ENDIF 
+
+!IF  "$(CFG)" == "squidnt - Win32 Release"
+
+"squid_conf - Win32 Release" : 
+   cd "\work\squidnt23\win"
+   $(MAKE) /$(MAKEFLAGS) /F .\squid_conf.mak CFG="squid_conf - Win32 Release" 
+   cd ".\squidnt"
+
+"squid_conf - Win32 ReleaseCLEAN" : 
+   cd "\work\squidnt23\win"
+   $(MAKE) /$(MAKEFLAGS) /F .\squid_conf.mak CFG="squid_conf - Win32 Release" RECURSE=1 CLEAN 
+   cd ".\squidnt"
+
+!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
+
+"squid_conf - Win32 Debug" : 
+   cd "\work\squidnt23\win"
+   $(MAKE) /$(MAKEFLAGS) /F .\squid_conf.mak CFG="squid_conf - Win32 Debug" 
+   cd ".\squidnt"
+
+"squid_conf - Win32 DebugCLEAN" : 
+   cd "\work\squidnt23\win"
+   $(MAKE) /$(MAKEFLAGS) /F .\squid_conf.mak CFG="squid_conf - Win32 Debug" RECURSE=1 CLEAN 
+   cd ".\squidnt"
+
+!ENDIF 
+
 
 !ENDIF 
 
